<div class="flex flex-col h-screen justify-center items-center" *ngIf="showLoginFrame">
  <mat-card class="w-96 mat-elevation-z2 mb-2">
    <div class="mt-3" *ngIf="logoURL">
      <img class="class-logo m-auto" src="{{ logoURL }}" alt="logo">
    </div>
    <mat-card-header class="justify-center mb-8">
      <mat-card-title i18n="@@signIn" *ngIf="service" class="ft-weight-900 f-24 fm-rauth">{{service}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="verifyUserForm">
        <ng-container *ngIf="ldapClients.length > 0 && hideForceOTP">
          <mat-form-field class="w-100">
            <mat-label>Choose Organization</mat-label>
            <mat-select formControlName="organization">
              <mat-option value="''">--Select--</mat-option>
              <mat-option [value]="client" *ngFor="let client of ldapClients">{{client.name}}</mat-option>
            </mat-select>
          </mat-form-field>
        </ng-container>
        <ng-container *ngIf="!hideUsername">
          <mat-form-field class="w-full">
            <mat-label>{{userInputPlaceholder}}</mat-label>
            <input matInput formControlName="username" name="username" #username (keyup.enter)="verifyUser()" required>
            <mat-error>{{ serverError }}</mat-error>
          </mat-form-field>
        </ng-container>
      </form>
      <form [formGroup]="loginUserForm">
        <mat-form-field style="display: none;">
          <input matInput formControlName="username" name="username">
        </mat-form-field>
        <ng-container *ngIf="!hidePassword">
          <mat-form-field class="w-full">
            <mat-label>Password</mat-label>
            <input matInput i18n-placeholder="@@password" [type]="isPassHidden ? 'password' : 'text'" #password
              formControlName="password" (keyup.enter)="onSubmitPassword()" required>
            <a mat-icon-button matSuffix (click)="!disableVerifyPasswordButton && togglePassHidden()"
              [attr.aria-label]="'Hide password'" [attr.aria-pressed]="isPassHidden">
              <mat-icon>{{isPassHidden ? 'visibility_off' : 'visibility'}}</mat-icon>
            </a>
            <a mat-icon-button matSuffix (click)="!disableVerifyPasswordButton && clearLoginForm()"
              [attr.aria-label]="'Login with another account'">
              <mat-icon>refresh</mat-icon>
            </a>
            <mat-error>{{ serverError }}</mat-error>
          </mat-form-field>
        </ng-container>
      </form>
      <ng-container *ngIf="!hideCode || !hideForceOTP">
        <form [formGroup]="submitOTPForm">
          <mat-form-field class="w-full">
            <mat-label>OTP</mat-label>
            <input matInput i18n-placeholder="@@otp" formControlName="code" name="code" #otp autofocus required (keyup.enter)="handleKeyUpEnter()">
            <a mat-icon-button matSuffix (click)="!disableVerifyPasswordButton && clearLoginForm(); hideForceOTP=true"
              [attr.aria-label]="'Login with another account'">
              <mat-icon>refresh</mat-icon>
            </a>
            <mat-error>{{ serverError }}</mat-error>
          </mat-form-field>
        </form>
      </ng-container>
    </mat-card-content>
    <mat-card-footer>
      <div class="flex flex-col justify-between m-4">
        <div class="flex justify-between mb-2" *ngIf="!hideUsername">
          
          <button class="w-100 secondary mr-2" [disabled]="disableVerifyUserButton" (click)="navigateTo('/signup')" *ngIf="!disableSignup">
            Sign Up
          </button>
          <button class="w-100 primary" (click)="verifyUser()"
            [disabled]="disableVerifyUserButton || !verifyUserForm.controls.username.value" mat-raised-button
            color="primary" i18n="@@next">Next</button>
        </div>
        <div class="flex flex-col justify-between" *ngIf="!hidePassword">
          <button class="mb-2 w-100" (click)="onSubmitPassword()"
            [disabled]="disableVerifyPasswordButton || !loginUserForm.controls.password.value" mat-raised-button
            color="primary" i18n="@@login" #btnLogin=matButton>Login</button>
          <button class="mb-2 w-100" [disabled]="disableVerifyPasswordButton" *ngIf="showEmailOrPhoneLogin"
            (click)="!disableVerifyPasswordButton && forgotPassword()">
            Forgot?
          </button>
        </div>
        <div class="flex flex-col justify-between" *ngIf="!hideCode">
          <button (click)="onSubmitOTP()" class="mb-2 w-100" [disabled]="disableOnSubmitOTPButton" mat-raised-button
            color="primary" i18n="@@login">Login</button>
          <button (click)="resendOTP()" [disabled]="disableResendOTP" class="mb-2 w-100" mat-button #reSendOTP
            i18n="@@resendOTP">Resend
            OTP?</button>
        </div>

        <div class="flex flex-col justify-between" *ngIf="!hideForceOTP">
          <button (click)="kerberosUserLogin()" class="mb-2 w-100" [disabled]="disableOnSubmitOTPButton || !this.submitOTPForm.controls.code.value" mat-raised-button
            color="primary" i18n="@@login">Login</button>
          <button (click)="resendOTP()" [disabled]="disableResendOTP" class="mb-2 w-100" mat-button #reSendOTP
            i18n="@@resendOTP">Resend
            OTP?</button>
        </div>

        <div *ngIf="!!enablePasswordLess">
          <mat-button-toggle-group class="mat-toggle-group-button">
            <mat-button-toggle class="mr-3" *ngIf="disableLoginChoice" (click)="showPasswordLessLogin()">Password-less
              OTP</mat-button-toggle>
            <mat-button-toggle *ngIf="enablePasswordLess" (click)="webAuthnLogin()">Password-less
              Key</mat-button-toggle>
          </mat-button-toggle-group>
        </div>

        <div class="text-center mt-3" *ngIf="copyrightMessage">
          {{copyrightMessage}}
        </div>
      </div>
    </mat-card-footer>
  </mat-card>



  <div class="mb-2 ft-700 fm-roboto" *ngIf="socialLogins.length > 0">
    OR
  </div>

  <div class="social-logins-container">
    <div *ngFor="let login of socialLogins"
      class="flex ft-500 text-upper fm-roboto flex items-center mb-2 w-96 social-logins" (click)="connectWith(login)">
      <div class="mr-4">
        <img src="assets/openid.svg" alt="">
      </div>
      <div>{{login.name}}</div>
    </div>
  </div>
</div>

<div class="authentication" *ngIf="!showLoginFrame">
    Authenticating <span class="dots">...</span>
</div>
